ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 4.0

ARMA 3.0 マニュアル(ご参考用)

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

 OSA-2003-9
 
 
 1 サマリ
 
 
 
 
対象システム
ARMA2.0,ARMA2.1
 
 
 
パッケージ
zlib
 
 
 
概要
バッファオーバーフロー
 
 
 
危険度
1
 
 
 
 
 2 詳細
 
 zlib にバッファオーバーフロー脆弱性が発見されました。
 これを悪用することで外部から任意のコードを実行される可能性があります。
 zlib の関数 gzprintf() の脆弱性により、この関数を使うプログラムを第三者によって悪用されて任意のコードを実行されてしまう可能性があります。
 
 
 
 
 
 
 3 対処方法
 
 ARMA では zlib_1.1.4-1o201 でこの問題に対応しました。
 最新の zlib にアップデートする場合は下記のコマンドを実行してください。
 
 
# apt-get update
# apt-get install zlib1g zlib1g-dev
 
 
 
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp